%% Run Aplus model %%

colormap('default');
% Model frequencies
f_LOLO = 5;
f_HIHI = 5000;

ifoL1_Aplus = IFOModel_L1_AplusProj;

% Assume coating material mechanical loss a factor of 4 lower, for a factor of 2 lower coating thermal noise 
ifoL1_Aplus.Materials.Coating.Phihighn = 3.6e-4/4;
ifoL1_Aplus.Materials.Coating.Philown = 5e-5/4; 

[scoreL1Aplus, noiseL1Aplus] = gwinc(f_LOLO, f_HIHI, ifoL1_Aplus, SourceModel, 3);

tit = sprintf('Aplus design curve - NSNS (1.4/1.4 %s) %.0f Mpc and BHBH (30/30 %s) %.0f Mpc', '$M_{\odot}$',scoreL1Aplus.NeutronStar.comovingRangeMpc,'$M_{\odot}$',scoreL1Aplus.BlackHole.comovingRangeMpc);
title(tit, 'Interpreter', 'Latex')
